# Changelog

All notable changes to this project will be documented in this file.

## [0.1.2] - 2024-10-22

### 🐛 Bug Fixes

- *(deps)* Update module github.com/hashicorp/go-plugin to v1.6.2
- *(deps)* Update module gitlab.com/unboundsoftware/sloth/model to v0.1.2

### ⚙️ Miscellaneous Tasks

- Use custom release notes
- Add CHANGES.md and VERSION to .gitignore

## [0.1.1] - 2024-10-17

### 🐛 Bug Fixes

- *(deps)* Update module github.com/stretchr/testify to v1.9.0
- *(deps)* Update module github.com/alecthomas/kong to v0.9.0
- *(deps)* Update module github.com/hashicorp/go-hclog to v1.6.3
- *(deps)* Update module go.mongodb.org/mongo-driver to v1.15.0
- *(deps)* Update module github.com/hashicorp/go-plugin to v1.6.1
- *(deps)* Update module go.mongodb.org/mongo-driver to v1.15.1
- *(deps)* Update module go.mongodb.org/mongo-driver to v1.16.0
- *(deps)* Update module go.mongodb.org/mongo-driver to v1.16.1
- *(deps)* Update module github.com/alecthomas/kong to v1
- *(deps)* Update module github.com/alecthomas/kong to v1.2.0
- *(deps)* Update module github.com/alecthomas/kong to v1.2.1
- *(deps)* Update module go.mongodb.org/mongo-driver to v1.17.0
- *(deps)* Update module go.mongodb.org/mongo-driver to v1.17.1
- *(deps)* Update module gitlab.com/paidit-se/mongo-mocks to v0.0.4
- *(deps)* Update module gitlab.com/paidit-se/mongo-wrappers to v0.0.6
- *(deps)* Update module gitlab.com/paidit-se/mongo-mocks to v0.0.5
- *(deps)* Update module gitlab.com/unboundsoftware/sloth/model to v0.1.1

### 💼 Other

- *(deps)* Bump github.com/alecthomas/kong from 0.8.0 to 0.8.1
- *(deps)* Bump go.mongodb.org/mongo-driver from 1.12.1 to 1.13.0
- *(deps)* Bump github.com/hashicorp/go-plugin from 1.5.2 to 1.6.0
- *(deps)* Bump gitlab.com/paidit-se/mongo-wrappers
- *(deps)* Bump github.com/hashicorp/go-hclog from 1.5.0 to 1.6.1
- *(deps)* Bump go.mongodb.org/mongo-driver from 1.13.0 to 1.13.1
- *(deps)* Bump github.com/hashicorp/go-hclog from 1.6.1 to 1.6.2
- *(deps)* Bump go.mongodb.org/mongo-driver from 1.13.1 to 1.14.0

### ⚙️ Miscellaneous Tasks

- Update goreleaser image to v2.3.1
- Add Unbound Release in tag-only mode

### 🛡️ Security

- *(deps)* [security] bump golang.org/x/net from 0.11.0 to 0.17.0
- *(deps)* [security] bump google.golang.org/grpc
- *(deps)* [security] bump golang.org/x/crypto from 0.14.0 to 0.17.0

## [0.1.0] - 2023-10-12

### 🚀 Features

- Move to hashicorp/go-plugin

### 💼 Other

- *(deps)* Bump go.mongodb.org/mongo-driver from 1.10.1 to 1.10.2
- *(deps)* Bump go.mongodb.org/mongo-driver from 1.10.2 to 1.10.3
- *(deps)* Bump go.mongodb.org/mongo-driver from 1.10.3 to 1.11.0
- *(deps)* Bump go.mongodb.org/mongo-driver from 1.11.0 to 1.11.1
- *(deps)* Bump go.mongodb.org/mongo-driver from 1.11.1 to 1.11.2
- *(deps)* Bump go.mongodb.org/mongo-driver from 1.11.2 to 1.11.3
- *(deps)* Bump go.mongodb.org/mongo-driver from 1.11.3 to 1.11.4
- *(deps)* Bump go.mongodb.org/mongo-driver from 1.11.4 to 1.11.5
- *(deps)* Bump go.mongodb.org/mongo-driver from 1.11.5 to 1.11.6
- *(deps)* Bump go.mongodb.org/mongo-driver from 1.11.6 to 1.11.7
- *(deps)* Bump go.mongodb.org/mongo-driver from 1.11.7 to 1.12.0
- *(deps)* Bump go.mongodb.org/mongo-driver from 1.12.0 to 1.12.1

### ⚙️ Miscellaneous Tasks

- Use Docker DinD version from variable
- Switch to manual rebases for Dependabot
- Update to Go 1.20
- Check goreleaser config and do a dry run

### 🛡️ Security

- *(deps)* [security] bump golang.org/x/text from 0.3.7 to 0.3.8

## [0.0.9] - 2022-08-03

### 💼 Other

- *(deps)* Bump gitlab.com/unboundsoftware/sloth/model
- *(deps)* Bump go.mongodb.org/mongo-driver from 1.9.1 to 1.10.0
- *(deps)* Bump go.mongodb.org/mongo-driver from 1.10.0 to 1.10.1

## [0.0.8] - 2022-06-17

### 🐛 Bug Fixes

- Use logger directly

### 💼 Other

- *(deps)* Bump gitlab.com/unboundsoftware/apex-mocks
- *(deps)* Bump gitlab.com/unboundsoftware/apex-mocks

## [0.0.7] - 2022-05-05

### 💼 Other

- Update to Go 1.18
- *(deps)* Bump go.mongodb.org/mongo-driver from 1.8.4 to 1.9.0
- *(deps)* Bump go.mongodb.org/mongo-driver from 1.9.0 to 1.9.1
- *(deps)* Bump github.com/sanity-io/litter from 1.5.4 to 1.5.5

### ⚙️ Miscellaneous Tasks

- Add dependabot config
- Change to codecov binary instead of bash uploader
- Replace short name with name

## [0.0.6] - 2021-07-22

### ⚙️ Miscellaneous Tasks

- Update to latest version of goreleaser

## [0.0.5] - 2021-04-07

### 🐛 Bug Fixes

- Set started to false on error

## [0.0.4] - 2021-04-01

### 🐛 Bug Fixes

- Handle unstarted in stop

### ⚙️ Miscellaneous Tasks

- Upgrade goreleaser to fix Gitlab upload issue

## [0.0.3] - 2021-03-10

### 🐛 Bug Fixes

- Initialize done-chan to make shutdown work

## [0.0.2] - 2021-03-02

### ⚙️ Miscellaneous Tasks

- Set fixed version of goreleaser

## [0.0.1] - 2021-02-26

### 🚀 Features

- Initial release of mongo-store

<!-- generated by git-cliff -->
